org.duckdb

## Class DuckDBNative

- java.lang.Object
- - org.duckdb.DuckDBNative

    public class DuckDBNative
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`DuckDBNative()`

### Method Summary

All Methods Static Methods Concrete Methods
`protected static java.nio.ByteBuffer` `duckdb_jdbc_connect(java.nio.ByteBuffer db_ref)`
`protected static void` `duckdb_jdbc_disconnect(java.nio.ByteBuffer conn_ref)`
`protected static java.nio.ByteBuffer` `duckdb_jdbc_execute(java.nio.ByteBuffer stmt_ref, java.lang.Object[] params)`
`protected static int` `duckdb_jdbc_fetch_size()`
`protected static DuckDBVector[]` `duckdb_jdbc_fetch(java.nio.ByteBuffer res_ref)`
`protected static void` `duckdb_jdbc_free_result(java.nio.ByteBuffer res_ref)`
`protected static boolean` `duckdb_jdbc_get_auto_commit(java.nio.ByteBuffer conn_ref)`
`protected static DuckDBResultSetMetaData` `duckdb_jdbc_meta(java.nio.ByteBuffer stmt_ref)`
`protected static java.lang.String` `duckdb_jdbc_prepare_type(java.nio.ByteBuffer stmt_ref)`
`protected static java.nio.ByteBuffer` `duckdb_jdbc_prepare(java.nio.ByteBuffer conn_ref, byte[] query)`
`protected static void` `duckdb_jdbc_release(java.nio.ByteBuffer stmt_ref)`
`protected static void` `duckdb_jdbc_set_auto_commit(java.nio.ByteBuffer conn_ref, boolean auto_commit)`
`protected static void` `duckdb_jdbc_shutdown(java.nio.ByteBuffer db_ref)`
`protected static java.nio.ByteBuffer` `duckdb_jdbc_startup(byte[] path, boolean read_only)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DuckDBNative

    public DuckDBNative()

### Method Detail

#### duckdb_jdbc_startup

    protected static java.nio.ByteBuffer duckdb_jdbc_startup(byte[] path,
                                                             boolean read_only)

#### duckdb_jdbc_shutdown

    protected static void duckdb_jdbc_shutdown(java.nio.ByteBuffer db_ref)

#### duckdb_jdbc_connect

    protected static java.nio.ByteBuffer duckdb_jdbc_connect(java.nio.ByteBuffer db_ref)

#### duckdb_jdbc_set_auto_commit

    protected static void duckdb_jdbc_set_auto_commit(java.nio.ByteBuffer conn_ref,
                                                      boolean auto_commit)

#### duckdb_jdbc_get_auto_commit

    protected static boolean duckdb_jdbc_get_auto_commit(java.nio.ByteBuffer conn_ref)

#### duckdb_jdbc_disconnect

    protected static void duckdb_jdbc_disconnect(java.nio.ByteBuffer conn_ref)

#### duckdb_jdbc_prepare

    protected static java.nio.ByteBuffer duckdb_jdbc_prepare(java.nio.ByteBuffer conn_ref,
                                                             byte[] query)

#### duckdb_jdbc_prepare_type

    protected static java.lang.String duckdb_jdbc_prepare_type(java.nio.ByteBuffer stmt_ref)

#### duckdb_jdbc_release

    protected static void duckdb_jdbc_release(java.nio.ByteBuffer stmt_ref)

#### duckdb_jdbc_meta

    protected static DuckDBResultSetMetaData duckdb_jdbc_meta(java.nio.ByteBuffer stmt_ref)

#### duckdb_jdbc_execute

    protected static java.nio.ByteBuffer duckdb_jdbc_execute(java.nio.ByteBuffer stmt_ref,
                                                             java.lang.Object[] params)

#### duckdb_jdbc_free_result

    protected static void duckdb_jdbc_free_result(java.nio.ByteBuffer res_ref)

#### duckdb_jdbc_fetch

    protected static DuckDBVector[] duckdb_jdbc_fetch(java.nio.ByteBuffer res_ref)

#### duckdb_jdbc_fetch_size

    protected static int duckdb_jdbc_fetch_size()